using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Verse;
using Verse.Sound;

namespace Verse.AI{
public static class Toils_Effects
{
	public static Toil MakeSound( string soundDefName )
	{
		Toil toil = new Toil();
		toil.initAction = ()=>
		{
			Pawn actor = toil.actor;
			SoundDef.Named(soundDefName).PlayOneShot(new TargetInfo(actor.Position, actor.Map));	
		};
		return toil;
	}
}}